Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.graphics
Class PDGraphicsState

    java.lang.Object
      org.pdfbox.pdmodel.graphics.PDGraphicsState

All Implemented Interfaces:
  Cloneable

public class PDGraphicsState
extends Object
implements Cloneable

This class will hold the current state of the graphics parameters when executing a content stream.

Version:
  $Revision: 1.3 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`PDGraphicsState()`

Method Summary
`Object` | `clone()`
`double` | `getAlphaConstants()` Get the value of the alpha constants property.
`Matrix` | `getCurrentTransformationMatrix()` Get the value of the CTM.
`double` | `getFlatness()` get the value of the flatness property.
`int` | `getLineCap()` Get the value of the line cap.
`PDLineDashPattern` | `getLineDashPattern()` This will get the current line dash pattern.
`int` | `getLineJoin()` Get the value of the line join.
`double` | `getLineWidth()` Get the value of the line width.
`double` | `getMiterLimit()` Get the value of the miter limit.
`PDColorSpaceInstance` | `getNonStrokingColorSpace()` This will get the nonstroking color space instance.
`double` | `getOverprintMode()` get the value of the overprint mode property.
`String` | `getRenderingIntent()` This will get the rendering intent.
`double` | `getSmoothness()` get the value of the smoothness property.
`PDColorSpaceInstance` | `getStrokingColorSpace()` This will get the current stroking colorspace.
`PDTextState` | `getTextState()` This will get the graphics text state.
`boolean` | `isAlphaSource()` get the value of the alpha source property.
`boolean` | `isOverprint()` get the value of the overprint property.
`boolean` | `isStrokeAdjustment()` Get the value of the stroke adjustment parameter.
`void` | `setAlphaConstants(double value)` set the value of the alpha constants property.
`void` | `setAlphaSource(boolean value)` set the value of the alpha source property.
`void` | `setCurrentTransformationMatrix(Matrix value)` Set the value of the CTM.
`void` | `setFlatness(double value)` set the value of the flatness property.
`void` | `setLineCap(int value)` set the value of the line cap.
`void` | `setLineDashPattern(PDLineDashPattern value)` This will set the current line dash pattern.
`void` | `setLineJoin(int value)` Get the value of the line join.
`void` | `setLineWidth(double value)` set the value of the line width.
`void` | `setMiterLimit(double value)` set the value of the miter limit.
`void` | `setNonStrokingColorSpace(PDColorSpaceInstance value)` This will set the non-stroking colorspace instance.
`void` | `setOverprint(boolean value)` set the value of the overprint property.
`void` | `setOverprintMode(double value)` set the value of the overprint mode property.
`void` | `setRenderingIntent(String value)` This will set the rendering intent.
`void` | `setSmoothness(double value)` set the value of the smoothness property.
`void` | `setStrokeAdjustment(boolean value)` set the value of the stroke adjustment.
`void` | `setStrokingColorSpace(PDColorSpaceInstance value)` This will set the current stroking colorspace.
`void` | `setTextState(PDTextState value)` This will set the graphics text state.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDGraphicsState

    public PDGraphicsState()

Method Detail

### getCurrentTransformationMatrix

    public Matrix getCurrentTransformationMatrix()

  Get the value of the CTM.

  Returns:
    The current transformation matrix.

### setCurrentTransformationMatrix

    public void setCurrentTransformationMatrix(Matrix value)

  Set the value of the CTM.

  Parameters:
    `value` - The current transformation matrix.

### getLineWidth

    public double getLineWidth()

  Get the value of the line width.

  Returns:
    The current line width.

### setLineWidth

    public void setLineWidth(double value)

  set the value of the line width.

  Parameters:
    `value` - The current line width.

### getLineCap

    public int getLineCap()

  Get the value of the line cap.

  Returns:
    The current line cap.

### setLineCap

    public void setLineCap(int value)

  set the value of the line cap.

  Parameters:
    `value` - The current line cap.

### getLineJoin

    public int getLineJoin()

  Get the value of the line join.

  Returns:
    The current line join value.

### setLineJoin

    public void setLineJoin(int value)

  Get the value of the line join.

  Parameters:
    `value` - The current line join

### getMiterLimit

    public double getMiterLimit()

  Get the value of the miter limit.

  Returns:
    The current miter limit.

### setMiterLimit

    public void setMiterLimit(double value)

  set the value of the miter limit.

  Parameters:
    `value` - The current miter limit.

### isStrokeAdjustment

    public boolean isStrokeAdjustment()

  Get the value of the stroke adjustment parameter.

  Returns:
    The current stroke adjustment.

### setStrokeAdjustment

    public void setStrokeAdjustment(boolean value)

  set the value of the stroke adjustment.

  Parameters:
    `value` - The value of the stroke adjustment parameter.

### getAlphaConstants

    public double getAlphaConstants()

  Get the value of the alpha constants property.

  Returns:
    The value of the alpha constants parameter.

### setAlphaConstants

    public void setAlphaConstants(double value)

  set the value of the alpha constants property.

  Parameters:
    `value` - The value of the alpha constants parameter.

### isAlphaSource

    public boolean isAlphaSource()

  get the value of the alpha source property.

  Returns:
    The value of the alpha source parameter.

### setAlphaSource

    public void setAlphaSource(boolean value)

  set the value of the alpha source property.

  Parameters:
    `value` - The value of the alpha source parameter.

### isOverprint

    public boolean isOverprint()

  get the value of the overprint property.

  Returns:
    The value of the overprint parameter.

### setOverprint

    public void setOverprint(boolean value)

  set the value of the overprint property.

  Parameters:
    `value` - The value of the overprint parameter.

### getOverprintMode

    public double getOverprintMode()

  get the value of the overprint mode property.

  Returns:
    The value of the overprint mode parameter.

### setOverprintMode

    public void setOverprintMode(double value)

  set the value of the overprint mode property.

  Parameters:
    `value` - The value of the overprint mode parameter.

### getFlatness

    public double getFlatness()

  get the value of the flatness property.

  Returns:
    The value of the flatness parameter.

### setFlatness

    public void setFlatness(double value)

  set the value of the flatness property.

  Parameters:
    `value` - The value of the flatness parameter.

### getSmoothness

    public double getSmoothness()

  get the value of the smoothness property.

  Returns:
    The value of the smoothness parameter.

### setSmoothness

    public void setSmoothness(double value)

  set the value of the smoothness property.

  Parameters:
    `value` - The value of the smoothness parameter.

### getTextState

    public PDTextState getTextState()

  This will get the graphics text state.

  Returns:
    The graphics text state.

### setTextState

    public void setTextState(PDTextState value)

  This will set the graphics text state.

  Parameters:
    `value` - The graphics text state.

### getLineDashPattern

    public PDLineDashPattern getLineDashPattern()

  This will get the current line dash pattern.

  Returns:
    The line dash pattern.

### setLineDashPattern

    public void setLineDashPattern(PDLineDashPattern value)

  This will set the current line dash pattern.

  Parameters:
    `value` - The new line dash pattern.

### getRenderingIntent

    public String getRenderingIntent()

  This will get the rendering intent.

  Returns:
    The rendering intent
  See Also:
    `PDExtendedGraphicsState`

### setRenderingIntent

    public void setRenderingIntent(String value)

  This will set the rendering intent.

  Parameters:
    `value` - The new rendering intent.

### clone

    public Object clone()

  See Also:
    `Object.clone()`

### getStrokingColorSpace

    public PDColorSpaceInstance getStrokingColorSpace()

  This will get the current stroking colorspace.

  Returns:
    The current stroking colorspace.

### setStrokingColorSpace

    public void setStrokingColorSpace(PDColorSpaceInstance value)

  This will set the current stroking colorspace.

  Parameters:
    `value` - The new stroking colorspace instance.

### getNonStrokingColorSpace

    public PDColorSpaceInstance getNonStrokingColorSpace()

  This will get the nonstroking color space instance.

  Returns:
    The colorspace instance.

### setNonStrokingColorSpace

    public void setNonStrokingColorSpace(PDColorSpaceInstance value)

  This will set the non-stroking colorspace instance.

  Parameters:
    `value` - The non-stroking colorspace instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD